



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Spider与OpenPyXL的结合</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Spider与OpenPyXL的结合</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-21 21:57:32 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<blockquote><p><a href="http://openpyxl.readthedocs.io/en/default/usage.html#read-an-existing-workbook" rel="external nofollow noreferrer">OpenPyXL的API文档</a></p></blockquote>
<h2>1.OpenPyXL基础操作</h2>
<ul><li>引入Workbook这个类,然后调用</li></ul>
<div>
<pre class="prettyprint linenums">from openpyxl import Workbook
wb = Workbook()</pre>
</div>
<ul><li>通过<code>openpyxl.workbook.Workbook.active()</code>调用得到正在运行的工作表</li></ul>
<div>
<pre class="prettyprint linenums">ws = wb.active</pre>
</div>
<blockquote><p>该函数调用工作表的索引(_active_sheet_index)，默认是0。除非你修改了这个值，否则你使用该函数一直是在对第一张工作表进行操作。</p></blockquote>
<ul><li>使用<code>openpyxl.workbook.Workbook.create_sheet()</code>新建一张表</li></ul>
<div>
<pre class="prettyprint linenums">ws1 = wb.create_sheet() #默认插在工作簿末尾
# or
ws2 = wb.create_sheet(0) # 插入在工作簿的第一个位置</pre>
</div>
<ul><li>在创建工作表的时候系统自动命名。他们按照序列依次命名 (Sheet, Sheet1, Sheet2, ...)。你可以通过调用下面的属性修改工作表的名称：</li></ul>
<div>
<pre class="prettyprint linenums">ws.title = "New Title"</pre>
</div>
<ul><li>标签栏的背景色默认为白色。你可以通过提供一个RRGGBB颜色码改变标签栏的字体颜色</li></ul>
<div>
<pre class="prettyprint linenums">ws.sheet_properties.tabColor = "1072BA"</pre>
</div>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-3c40e77d2d4fde98.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>效果</div>
</div>
<ul><li>一旦你获取工作表的名字，你可以通过workbook的key或者&nbsp;<code>openpyxl.workbook.Workbook.get_sheet_by_name()</code>方法得到该工作表</li></ul>
<div>
<pre class="prettyprint linenums">ws3 = wb["New Title"]
ws4 = wb.get_sheet_by_name("New Title")
ws is ws3 is ws4
True</pre>
</div>
<ul><li>你可以通过<code>openpyxl.workbook.Workbook.get_sheet_names()</code>方法得到工作簿的所有工作表。</li></ul>
<div>
<pre class="prettyprint linenums">print(wb.get_sheet_names())
['Sheet2', 'New Title', 'Sheet1']</pre>
</div>
<ul><li>你也可以循环得到所有的工作表</li></ul>
<div>
<pre class="prettyprint linenums">for sheet in wb:
       print(sheet.title)</pre>
</div>
<h2>2.操作数据</h2>
<ul><li>使用一个单元格<br>我们开始修改工作表中单元格的内容<br>单元格可以直接根据他们的索引直接获得</li></ul>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; c = ws['A4']</pre>
</div>
<p>通过上述的语句，将返回在A4处的单元格，如果不存在将在A4新建一个。 单元格的值也可以直接赋值</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; ws['A4'] = 4</pre>
</div>
<p>还提供&nbsp;<code>openpyxl.worksheet.Worksheet.cell()</code>方法获取单元格</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; c = ws.cell('A4')</pre>
</div>
<p>也可以根据行列值获取单元格</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; d = ws.cell(row = 4, column = 2)</pre>
</div>
<p>注意：当一个工作表被创建时，其中不包含单元格。只有当单元格被获取时才被创建。这种方式我们不会创建我们从不会使用的单元格，从而减少了内存消耗。<br>警告：由于上述特性，你如果遍历了单元格而非想要使用它们也将会在内存当中创建。比如下面：</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; for i in range(1,101):
              for j in range(1,101):
                   ws.cell(row = i, column = j)</pre>
</div>
<p>上述代码将会在内存中创建100*100个单元格。<br>当然，这里也有方法来清理这些不想要的单元格，在后续我们将会介绍。</p>
<h2>3.使用多个单元格</h2>
<p>使用切片获取多个单元格</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; cell_range = ws['A1':'C2']</pre>
</div>
<p>使用<code>openpyxl.worksheet.Worksheet.iter_rows()</code>方法获得多个单元格</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; tuple(ws.iter_rows('A1:C2'))
((&lt;Cell Sheet1.A1&gt;, &lt;Cell Sheet1.B1&gt;, &lt;Cell Sheet1.C1&gt;),
(&lt;Cell Sheet1.A2&gt;, &lt;Cell Sheet1.B2&gt;, &lt;Cell Sheet1.C2&gt;))
&gt;&gt;&gt; for row in ws.iter_rows('A1:C2'):
            for cell in row:
                  print cell
&lt;Cell Sheet1.A1&gt;
&lt;Cell Sheet1.B1&gt;
&lt;Cell Sheet1.C1&gt;
&lt;Cell Sheet1.A2&gt;
&lt;Cell Sheet1.B2&gt;
&lt;Cell Sheet1.C2&gt;</pre>
</div>
<p>如果你需要迭代文件中所有的行或者列，你可以使用</p>
<div>
<pre class="prettyprint linenums">openpyxl.worksheet.Worksheet.rows()

&gt;&gt;&gt; ws = wb.active
&gt;&gt;&gt; ws['C9'] = 'hello world'
&gt;&gt;&gt; ws.rows
((&lt;Cell Sheet.A1&gt;, &lt;Cell Sheet.B1&gt;, &lt;Cell Sheet.C1&gt;),
(&lt;Cell Sheet.A2&gt;, &lt;Cell Sheet.B2&gt;, &lt;Cell Sheet.C2&gt;),
(&lt;Cell Sheet.A3&gt;, &lt;Cell Sheet.B3&gt;, &lt;Cell Sheet.C3&gt;),
(&lt;Cell Sheet.A4&gt;, &lt;Cell Sheet.B4&gt;, &lt;Cell Sheet.C4&gt;),
(&lt;Cell Sheet.A5&gt;, &lt;Cell Sheet.B5&gt;, &lt;Cell Sheet.C5&gt;),
(&lt;Cell Sheet.A6&gt;, &lt;Cell Sheet.B6&gt;, &lt;Cell Sheet.C6&gt;),
(&lt;Cell Sheet.A7&gt;, &lt;Cell Sheet.B7&gt;, &lt;Cell Sheet.C7&gt;),
(&lt;Cell Sheet.A8&gt;, &lt;Cell Sheet.B8&gt;, &lt;Cell Sheet.C8&gt;),
(&lt;Cell Sheet.A9&gt;, &lt;Cell Sheet.B9&gt;, &lt;Cell Sheet.C9&gt;))</pre>
</div>
<p>或者使用<code>openpyxl.worksheet.Worksheet.columns()</code>方法</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; ws.columns
((&lt;Cell Sheet.A1&gt;,
&lt;Cell Sheet.A2&gt;,
&lt;Cell Sheet.A3&gt;,
&lt;Cell Sheet.A4&gt;,
&lt;Cell Sheet.A5&gt;,
&lt;Cell Sheet.A6&gt;,
...
&lt;Cell Sheet.B7&gt;,
&lt;Cell Sheet.B8&gt;,
&lt;Cell Sheet.B9&gt;),
(&lt;Cell Sheet.C1&gt;,
&lt;Cell Sheet.C2&gt;,
&lt;Cell Sheet.C3&gt;,
&lt;Cell Sheet.C4&gt;,
&lt;Cell Sheet.C5&gt;,
&lt;Cell Sheet.C6&gt;,
&lt;Cell Sheet.C7&gt;,
&lt;Cell Sheet.C8&gt;,
&lt;Cell Sheet.C9&gt;))</pre>
</div>
<ul><li>数据存储<br>一旦我们有一个<code>openpyxl.cell.Cell</code>，我们可以直接为该单元格赋值</li></ul>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; c.value = 'hello, world'
&gt;&gt;&gt; print(c.value)
'hello, world'
&gt;&gt;&gt; d.value = 3.14
&gt;&gt;&gt; print(d.value)
3.14
你也可以使用Python中的其他类型和格式
&gt;&gt;&gt; wb = Workbook(guess_types=True)
&gt;&gt;&gt; c.value = '12%'
&gt;&gt;&gt; print(c.value)
0.12
&gt;&gt;&gt; import datetime
&gt;&gt;&gt; d.value = datetime.datetime.now()
&gt;&gt;&gt; print d.value
datetime.datetime(2010, 9, 10, 22, 25, 18)
&gt;&gt;&gt; c.value = '31.50'
&gt;&gt;&gt; print(c.value)
31.5</pre>
</div>
<h3>4.保存到文件</h3>
<p>保存工作簿最简单最安全的方式是使用<code>openpyxl.workbook.Workbook</code>的<code>openpyxl.workbook.Workbook.save()</code>方法</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; wb = Workbook()
&gt;&gt;&gt; wb.save('balances.xlsx')</pre>
</div>
<p>！特别警告：这个操作将会在没有认识提示的情况下用现在写的内容，覆盖掉原文件中的所有内容<br>你也可以<code>as_template=True</code>，将文件保存称为一个模板</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; wb = load_workbook('document.xlsx')
&gt;&gt;&gt; wb.save('document_template.xltx', as_template=True)</pre>
</div>
<p>如果<code>as_template=False(默认)</code>，则将文件或模板保存为文件</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; wb = load_workbook('document_template.xltx')
&gt;&gt;&gt; wb.save('document.xlsx', as_template=False)
&gt;&gt;&gt; wb = load_workbook('document.xlsx')
&gt;&gt;&gt; wb.save('new_document.xlsx', as_template=False)</pre>
</div>
<p>警告：在保存文件到文件模板中的时候你应该监控数据的属性和文件扩展名，反之亦然；否则，你得到的工作簿可能无法打开。<br>比如下面的：</p>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; wb = load_workbook('document.xlsx')
&gt;&gt;&gt; # Need to save with the extension *.xlsx
&gt;&gt;&gt; wb.save('new_document.xlsm')
&gt;&gt;&gt; # MS Excel can't open the document
&gt;&gt;&gt;
&gt;&gt;&gt; # or
&gt;&gt;&gt;
&gt;&gt;&gt; # Need specify attribute keep_vba=True
&gt;&gt;&gt; wb = load_workbook('document.xlsm')
&gt;&gt;&gt; wb.save('new_document.xlsm')
&gt;&gt;&gt; # MS Excel can't open the document
&gt;&gt;&gt;
&gt;&gt;&gt; # or
&gt;&gt;&gt;
&gt;&gt;&gt; wb = load_workbook('document.xltm', keep_vba=True)
&gt;&gt;&gt; # If us need template document, then we need specify extension as *.xltm.
&gt;&gt;&gt; # If us need document, then we need specify attribute as_template=False.
&gt;&gt;&gt; wb.save('new_document.xlsm', as_template=True)
&gt;&gt;&gt; # MS Excel can't open the document</pre>
</div>
<ul><li>从文件中导入<br>和写入文件的方式相同，你可以引入<code>openpyxl.load_workbook()</code>来打开一个已经存在的工作簿</li></ul>
<div>
<pre class="prettyprint linenums">&gt;&gt;&gt; from openpyxl import load_workbook
&gt;&gt;&gt; wb2 = load_workbook('test.xlsx')
&gt;&gt;&gt; print wb2.get_sheet_names()
['Sheet2', 'New Title', 'Sheet1']</pre>
</div>
<h2>5.爬虫与OpenPyXL的结合（爬取前程无忧网站招聘数据，存储Excel表格中）</h2>
<blockquote><p>这里采用的python的bs4库，代码基于python2.7</p></blockquote>
<p>分析</p>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-6a7ee83fc3eda6b2.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>第一步，分析网页结构，找到我们需要数据的块标签</div>
</div>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-c6209dd75d2c2104.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>从我们找到的块中筛选我们想要的数据</div>
</div>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-ef19b07ee7930490.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>分析网页url，通过拼接url，得到更多的数据</div>
</div>
<ul><li>代码如下：</li></ul>
<div>
<pre class="prettyprint linenums">#-*- coding:utf-8 -*-
import requests,re

#引入解码器
import codecs
from bs4 import BeautifulSoup

#从OpenPyXl引入Workbook这个类
from openpyxl import Workbook

#调用
Excel = Workbook()
fileName = '51job.xlsx'

#调用得到正在运行的工作表
excel = Excel.active

#工作表的名字
excel.title = '51job'

#定义爬虫的方法
def spider(job,page):

    my_headers = {
        'user-agent': 'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 UBrowser/6.1.3397.16 Safari/537.36'
    }
    workName = []
    company = []
    address = []
    pay = []
    print page,type(page)
    page = int(page)+1

    try:
        for i in range(1,page):
            url = 'http://search.51job.com/list/020000,000000,0000,00,9,99,'+job+',2,' + str(i) + '.html'
            #获取url地址内容，伪造请求头

            data = requests.get(url,headers=my_headers).content
            print('得到网页html数据')

            #设置html解析器
            soup = BeautifulSoup(data,'html.parser')
            soup1 = soup.find('div',class_='dw_table')
            content = soup1.find_all('div','el')

            for i in content[1:]:
                # print(i)
                workna = i.find('p', attrs={'class': 't1'})
                work_name = workna.find('span').get_text().strip().replace('/n/r', '')  # 职位名字
                compa = i.find('span', attrs={'class': 't2'}).get_text()  # 公司名
                addre = i.find('span', attrs={'class': 't3'}).get_text()  # 工作地点
                payy = i.find('span', attrs={'class': 't4'}).get_text()  # 薪资
                print(work_name, compa, addre, payy)

                if payy:
                    pay.append(payy)
                else:
                    pay.append('面议')

                workName.append(work_name)
                company.append(compa)
                address.append(addre)

        for (w,c,a,p) in zip(workName,company,address,pay):
            col_A = 'A%s'%(workName.index(w) + 1)
            col_B = 'B%s'%(workName.index(w) + 1)
            col_C = 'C%s'%(workName.index(w) + 1)
            col_D = 'D%s'%(workName.index(w) + 1)
            excel[col_A] = w
            excel[col_B] = c
            excel[col_C] = a
            excel[col_D] = p
            #保存到excel文件
            print('开始保存数据')
            Excel.save(filename=fileName)
    except Exception as e:
        print(e)
if __name__ == '__main__':
    job = raw_input('请输入你要爬取的岗位名称：')
    page = raw_input('请输入你要爬取的页码数量：')
    spider(job,page)</pre>
</div>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-da661b325280bbf6.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>运行程序，拿到数据</div>
</div>
<div><img referrerpolicy="no-referrer"src="//upload-images.jianshu.io/upload_images/6152595-9bb9462ff687a83d.png?imageMogr2/auto-orient/strip%7CimageView2/2/w/1240"></p>
<div>可以看到数据已经成功保存到Excel表格中</div>
</div>
<ul><li>python3版本</li></ul>
<div>
<pre class="prettyprint linenums">import codecs
import requests
from bs4 import BeautifulSoup
from openpyxl import Workbook
import re
wb = Workbook()
filename = '上海python职位.xlsx'
ws1 = wb.active
ws1.title = '51job上海python岗位'
def main():
    job = input('请输入您要搜索的岗位：\n')
    page = int(input('请输入您要的页数\n'))
    las = '.html?'
    post1 = []
    company1 = []
    address1 = []
    salary1 = []
    time1 = []
    headers = {
        'User-Agent':'Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 UBrowser/6.1.3397.16 Safari/537.36'

    }
    for i in range(1,page+1):
        url = 'http://search.51job.com/list/020000,000000,0000,00,9,99,' + job + ',2,' + str(i) + las
        req = requests.get(url,headers=headers)
        req.encoding = 'gb18030'
        soup = BeautifulSoup(req.text,'html.parser')
        page = soup.find('div',class_="dw_table")
        # post1 = []
        # company1 = []
        # address1 = []
        # salary1 = []
        # time1 = []

        for i in page.find_all('div',class_='el')[1:] :
            post = i.find('p',class_="t1").get_text().strip().replace('/n/r','')
            # post = post.encode("UTF-8")
            company = i.find('span',class_='t2').get_text()
            address = i.find('span',class_='t3').get_text()
            salary = i.find('span',class_='t4').get_text()
            time = i.find('span',class_='t5').get_text()
            post1.append(post)
            company1.append(company)
            address1.append(address)
            if salary:
                salary1.append(salary)
            else:
                salary1.append('面议')
            time1.append(time)

    for (p,c,a,s,t) in zip(post1,company1,address1,salary1,time1):
        col_A = 'A%s'%(post1.index(p)+1)
        col_B = 'B%s' % (post1.index(p) + 1)
        col_C = 'C%s' % (post1.index(p) + 1)
        col_D = 'D%s' % (post1.index(p) + 1)
        col_E = 'E%s' % (post1.index(p) + 1)
        ws1[col_A]=p
        ws1[col_B]=c
        ws1[col_C]=a
        ws1[col_D]=s
        ws1[col_E]=t
        wb.save(filename=filename)
if __name__ == '__main__':
    main()</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9jmm6l9.html">Set up Github Pages with Hexo&comma; migrating from Jekyll</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rwwv4q.html">POJ 3384&Tab; Feng Shui --直线切平面</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pve5k9.html">AC日记&mdash;&mdash;基因相关性 openjudge 1&period;7 03</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2lkgo9.html">CentOS中iptables防火墙 开放80端口方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o631e8.html">一个比较完整的Inno Setup 安装脚本&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn3lj29.html">discuz 学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v72vj8.html">JSon&lowbar;零基础&lowbar;005&lowbar;将po（bean）对象集合List转换为JSon格式的对象字符串，返回给界面</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdg1kr8.html">【LeetCode OJ】Best Time to Buy and Sell Stock III</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o05o49.html">pgsql 9&period;4修改数据库只读</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o3xjv9.html">vim替换及多行注释命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1rx7n9.html">int&ast; V&period;S&period; int&lbrack;&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn6pppq.html">hadoop错误Operation category READ is not supported in state standby</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m1mym8.html">&period;NET Core快速入门教程 1、开篇：说说&period;NET Core的那些事儿</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdvo4d9.html">C&num;语言和SQL Server第八章笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj767e9.html">Linux下使用skipfish扫描网站漏洞步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz4md48.html">【Qt编程】Qt学习笔记&amp;lt&semi;三&amp;gt&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o11mxlq.html">Spring Day 2</a>
		</li>
						<li><a href="https://www.batexi.com/a/9605w339.html">CTAP&colon; Complementary Temporal Action Proposal Generation &lpar;ECCV2018&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy70yv9.html">vux 使用swiper 垂直滚动文字 报错&lbrack;Intervention&rsqb; Ignored&period;&period;&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/960vmev9.html">Qt QListWidget实现图片缩略图列表</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93y23608.html">Sublime Text3激活</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp4rkzq.html">《转》Xcode 6 正式版如何创建一个Empty Application</a>
			</li>
						<li><a href="https://www.batexi.com/a/96pwkjn8.html">visio2010去除直线交叉处的歪曲</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pdoy7d9.html">两个Web应用必须的Servlet Filter</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp43xzq.html">SDCC2013大会笔记整理</a>
			</li>
						<li><a href="https://www.batexi.com/a/8eyl6nj9.html">用calc&lpar;&rpar;绘制手机图案解锁的九宫格样式</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz46k48.html">初探Apache Beam</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz47de8.html">Python杂记</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkmmov8.html">安装RabbitMQ编译erlang时，checking for c compiler default output file name&period;&period;&period; configure&colon;error&colon;C compiler cannot create executables See &amp;&num;39&semi;config&period;log&amp;&num;39&semi; for more details&period;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj332x9.html">dubbo&plus;zookeeper&plus;springboot构建服务</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
